#! /bin/bash

if [[ $(uname) == Darwin ]]; then
  CONDA_BUILD_SYSROOT=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk
  export CC=clang
  export CXX=clang++
  export CPPFLAGS="$CPPFLAGS -I$PREFIX/include"
  export LDFLAGS="$LDFLAGS -L$PREFIX/lib -Wl,-rpath,$PREFIX/lib -headerpad_max_install_names"
  export LIBRARY_SEARCH_VAR=DYLD_FALLBACK_LIBRARY_PATH
  export MACOSX_DEPLOYMENT_TARGET="10.9"
  export CXXFLAGS="`echo $CXXFLAGS | sed s/-stdlib=libc++/-stdlib=libstdc++/g`"
  export DEBUG_CXXFLAGS="`echo $DEBUG_CXXFLAGS | sed s/-stdlib=libc++/-stdlib=libstdc++/g`"
elif [ "$(uname)" == "Linux" ] ; then
  export CPPFLAGS="-I${PREFIX}/include $CPPFLAGS"
  export LDFLAGS="-L${PREFIX}/lib $LDFLAGS"
fi

# Fix shebangs
for f in tests/selftest.pl.in; do
  sed -i.bak -e 's|^#!@PERL@ -w|#!@PERL@|' "$f"
  rm -f "$f.bak"
done

#In case any of the GTK dependencies contain libtool files
# conda-build #3102 should fix this, but the dependency might have been built without this.
find $PREFIX -name '*.la' -delete
find $CONDA_PREFIX -name '*.la' -delete

./configure --prefix=$PREFIX PERL='/usr/bin/env perl'

make -j$CPU_COUNT
make check
make install -j$CPU_COUNT

cd $PREFIX
find . -type f -name "*.la" -exec rm -rf '{}' \; -print
